org.apache.ignite.internal.processors.platform.client

## Enum ClientBitmaskFeature

- java.lang.Object
- - java.lang.Enum<ClientBitmaskFeature>
  - - org.apache.ignite.internal.processors.platform.client.ClientBitmaskFeature

All Implemented Interfaces:
  Serializable, Comparable<ClientBitmaskFeature>, ThinProtocolFeature

    public enum ClientBitmaskFeature
    extends Enum<ClientBitmaskFeature>
    implements ThinProtocolFeature

Defines supported features for thin client.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLUSTER_GROUP_GET_NODES_ENDPOINTS` Client discovery.
`CLUSTER_GROUPS` Cluster groups.
`CLUSTER_STATES` Adds cluster states besides ACTIVE and INACTIVE.
`DEFAULT_QRY_TIMEOUT` Feature for use default query timeout if the qry timeout isn't set explicitly.
`EXECUTE_TASK_BY_NAME` Compute tasks (execute by task name).
`QRY_PARTITIONS_BATCH_SIZE` Additional SqlFieldsQuery properties: partitions, updateBatchSize
`SERVICE_INVOKE` Service invocation.
`USER_ATTRIBUTES` Feature for user attributes.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EnumSet<ClientBitmaskFeature>` `allFeaturesAsEnumSet()`
`static EnumSet<ClientBitmaskFeature>` `enumSet(byte[] bytes)`
`int` `featureId()`
`static ClientBitmaskFeature` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClientBitmaskFeature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.ThinProtocolFeature

`enumSet, featuresAsBytes, name`

### Enum Constant Detail

#### USER_ATTRIBUTES

    public static final ClientBitmaskFeature USER_ATTRIBUTES

Feature for user attributes.

#### EXECUTE_TASK_BY_NAME

    public static final ClientBitmaskFeature EXECUTE_TASK_BY_NAME

Compute tasks (execute by task name).

#### CLUSTER_STATES

    public static final ClientBitmaskFeature CLUSTER_STATES

Adds cluster states besides ACTIVE and INACTIVE.

#### CLUSTER_GROUP_GET_NODES_ENDPOINTS

    public static final ClientBitmaskFeature CLUSTER_GROUP_GET_NODES_ENDPOINTS

Client discovery.

#### CLUSTER_GROUPS

    public static final ClientBitmaskFeature CLUSTER_GROUPS

Cluster groups.

#### SERVICE_INVOKE

    public static final ClientBitmaskFeature SERVICE_INVOKE

Service invocation. This flag is not necessary and exists for legacy reasons.

#### DEFAULT_QRY_TIMEOUT

    public static final ClientBitmaskFeature DEFAULT_QRY_TIMEOUT

Feature for use default query timeout if the qry timeout isn't set explicitly.

#### QRY_PARTITIONS_BATCH_SIZE

    public static final ClientBitmaskFeature QRY_PARTITIONS_BATCH_SIZE

Additional SqlFieldsQuery properties: partitions, updateBatchSize

### Method Detail

#### values

    public static ClientBitmaskFeature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClientBitmaskFeature c : ClientBitmaskFeature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClientBitmaskFeature valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### featureId

    public int featureId()

Specified by:
  `featureId` in interface `ThinProtocolFeature`
Returns:
  Feature ID.

#### enumSet

    public static EnumSet<ClientBitmaskFeature> enumSet(byte[] bytes)

Parameters:
  `bytes` - Feature byte array.
Returns:
  Set of supported features.

#### allFeaturesAsEnumSet

    public static EnumSet<ClientBitmaskFeature> allFeaturesAsEnumSet()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021